/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */
/*
 * Copyright 2012, Daniil Lunev. All rights reserved.
 */
#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include "grubadm.h"
#include "error.h"

char * DEBUG;

void
debug_print (const char * fmt, ...)
{
	va_list args;
	if (DEBUG) {
		va_start (args, fmt);
		vfprintf (stderr, fmt, args);
		va_end (args);
	}
}

void
print_system_error ()
{
	perror(APP_NAME);
}

void
print_error (const char * fmt, ...)
{
	va_list args;
	fprintf (stderr, "%s: ", APP_NAME);
	va_start (args, fmt);
	vfprintf (stderr, fmt, args);
	va_end (args);
	fprintf (stderr, "\n");
}

void
check_debug ()
{
	DEBUG = getenv("DEBUG");
}
